security_disable(3)

NAME
security_disable - disable the SELinux kernel code at runtime

SYNOPSIS
#include <selinux/selinux.h>

int security_disable(void);

DESCRIPTION
security_disable() disables the SELinux kernel code, unregisters selinuxfs from /proc/filesystems, and then unmounts /sys/fs/selinux.

This function can only be called at runtime and prior to the initial policy load. After the initial policy load, the SELinux kernel code cannot be disabled, but only placed in "permissive" mode by using security_setenforce(3).

RETURN VALUE
security_disable() returns zero on success or -1 on error.

AUTHOR
This manual page has been written by Guido Trentalancia <guido@trentalancia.com>

SEE ALSO
selinux(8), setenforce (8)